Bug 1015867 - Review Request: conky-manager - Conky scripts manager
Review Request: conky-manager - Conky scripts manager
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
Depends On:
Blocks: 1157273
  Show dependency treegraph
Reported: 2013-10-06 07:34 EDT by Mosaab Alzoubi
Modified: 2014-11-14 15:23 EST (History)
5 users (show)

See Also:
Fixed In Version: conky-manager-2.3.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-11-14 15:23:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Mosaab Alzoubi 2013-10-06 07:34:29 EDT
Spec URL: http://helallinux.com/paste/show.php?id=1232&mode=raw
SRPM URL: http://www.linuxac.org/forum/attachment.php?attachmentid=20936&d=1381050053
Simple tool for managing conky scripts. (stable version).
Fedora Account System Username: moceap
Comment 1 Christopher Meng 2013-10-07 08:12:52 EDT
1. Summary:        Simple tool for managing conky scripts.

Never leave a dot "." at the end of the summary tag.

2. Ask upstream to add download support on https://launchpad.net/conky-manager/ so it will be easier to retrieve sources.

To me the source is located at 


3. Remove explicit requires

Requires:       conky, lm_sensors, hddtemp, p7zip, p7zip-plugins, libgee06

e.g libgee06 can be automatically detected during installation.

4. %{_datadir}/applications/conky-manager.desktop

You should use desktop-file-install to install/validate it.


5. make missing smp flags.


6. It's nonsense to write

(stable version)

in description.

7. Don't leave blank lines in %changelog.
Comment 2 Mosaab Alzoubi 2013-10-08 15:51:30 EDT
Fix in progress >>>
Thank You
Comment 4 Mosaab Alzoubi 2013-10-09 14:14:35 EDT
Sorry error in spec link :

All Done :

Spec : http://ojuba.org/oji/SPECS/conky-manager-
SRPM : http://ojuba.org/oji/SRPMS/conky-manager-
Comment 5 Eduardo Echeverria 2013-10-10 03:10:04 EDT
Hi Mosaab 

I would like have this package in Fedora repositories, would be nice for end users  to have a gui for conky.

- naming of the spec is wrong, the name must be the same of the upstream, just conky-manager 

- i think that url should be http://teejeetech.blogspot.in/p/conky-manager.html

- licenses tag is wrong,licenses should be GPLv... not GPL... also the package is GPLv3 according to the COPYING file but have some files under GPLv2+, i think that package should be just GPLv3+

GPL (v2 or later)

one question, themepacks should be compressed for run?
rpmls conky-manager- 
-rwxr-xr-x  /usr/bin/conky-manager
-rw-r--r--  /usr/share/applications/conky-manager.desktop
-rw-r--r--  /usr/share/conky-manager/images/conky-manager.png
-rw-r--r--  /usr/share/conky-manager/images/conky-manager.xcf
-rw-r--r--  /usr/share/conky-manager/themepacks/default-themes-1.1.cmtp.7z
-rw-r--r--  /usr/share/conky-manager/themepacks/default-themes-1.2.cmtp.7z
drwxr-xr-x  /usr/share/doc/conky-manager
-rw-r--r--  /usr/share/doc/conky-manager/AUTHORS
-rw-r--r--  /usr/share/doc/conky-manager/COPYING
-rw-r--r--  /usr/share/doc/conky-manager/README
-rw-r--r--  /usr/share/doc/conky-manager/TODO
-rwxr-xr-x  /usr/share/pixmaps/conky-manager.png

- it's expected that BR are devel packages, in this case vala-devel is the correct

- please stop the use of pkconfig in BR, retrieving of dependencies is more slow using this way. do you want to know the name of the packages? use repoquery

repoquery -qf 'pkgconfig(glib-2.0)'

repoquery -qf 'pkgconfig(gtk+-3.0)'    

repoquery -qf 'pkgconfig(gee-1.0)' 

- Please give a name more explicit to the patch, conky0.patch doesn't says anything about with it does the patch 

- there are a typo in the description 
Concky manger improves conky effects to be beautiful and simple.

also there are a better description in launchpad

"A simple GUI for managing Conky config files. Options for changing themes and running Conky at startup."

if the tarball meets with the way %{name}-%{version} isn't needed -n option
%setup -qn %{name}-%{version}

- Don't needed wilcards (*.*) in this case for listing the files 

Comment 6 Mosaab Alzoubi 2013-10-10 03:30:40 EDT
Thank You ,, I'll fix .

But in BR we need (vala) to build conky-manger , vala-devel will be extra . Even vala-devel require vala but only vala does what we need .

Comment 7 Mosaab Alzoubi 2013-10-10 03:35:37 EDT
Use GPLv3+ instead of GPL2 ??

> one question, themepacks should be compressed for run?

Comment 9 Mosaab Alzoubi 2013-10-18 00:05:19 EDT
- To zero warnings by rpmlint.

Spec : http://ojuba.org/oji/SPECS/conky-manager.spec
SRPM : http://ojuba.org/oji/SRPMS/conky-manager-
Comment 11 Mosaab Alzoubi 2014-09-26 19:47:54 EDT
Update to 2.2:

Spec: http://ojuba.org/test/conky-manager.spec
Srpm: http://ojuba.org/test/conky-manager-2.2-1.oj35.src.rpm
Comment 12 Parag AN(पराग) 2014-10-21 07:29:23 EDT

+ package built fine in mock rawhide(x86_64)

- rpmlint on generated rpms gave output
conky-manager.src: W: strange-permission conky-manager_2.2~118~ubuntu14.04.1.tar.gz 0640L
conky-manager.x86_64: E: script-without-shebang /usr/share/conky-manager/images/view-preview.svg
conky-manager.x86_64: E: script-without-shebang /usr/share/conky-manager/images/help-info.svvg
conky-manager.x86_64: E: script-without-shebang /usr/share/conky-manager/images/donate.svg
conky-manager.x86_64: E: script-without-shebang /usr/share/conky-manager/images/view-list.svg
conky-manager.x86_64: W: no-manual-page-for-binary conky-manager
conky-manager-debuginfo.x86_64: E: debuginfo-without-sources
3 packages and 0 specfiles checked; 5 errors, 2 warnings.

+ Source verified with upstream as (sha256sum)
upstream tarball: 8ee789d56a42d178a7c69b24c7e099c27592d088fef4a07ccdf8439598a9dba5
srpm tarball: 8ee789d56a42d178a7c69b24c7e099c27592d088fef4a07ccdf8439598a9dba5

+ License is "GPLv3+" and its text is included in vala source headers as GPLv2+ and in COPYING as GPLv3+

1) Group tag is optional for Fedora and can be removed

2) Patch0 should be written below source0 line

3) patch name should always be start like %{name}-%{version}-desktopentry-fixer-and-arabizer.patch

4) in %prep, good to add patch level also
%patch0 -p0

5) To preserve the timestamp of upstream files getting installed directly use
make install DESTDIR=%{buildroot} INTALL="install -p"

6) following lines should be at the end of %install section not in the middle
desktop-file-install %{buildroot}/%{_datadir}/applications/conky-manager.desktop
%find_lang %{name}

7) desktop-file-install when used should use --dir option see the usage as given in https://fedoraproject.org/wiki/PackagingGuidelines#desktop-file-install_usage

8) in %files section instead of following 2 lines 

just write

This will make sure this package will also own directory /usr/share/conky-manager

9) The MimeType in desktop file is kept empty. Check with upstream to remove it or you can remove it using
sed -i '3d' conky-manager.desktop 

Reason I am asking this is if there is MimeType then we need to add update-desktop-database scriptlet

10) fix any other rpmlint message

submit new srpm for further review
Comment 14 Parag AN(पराग) 2014-10-24 05:18:44 EDT
1) oops sorry I should mean actually use this
make install DESTDIR=%{buildroot} INSTALL="install -p"

2) you are using command desktop-file-install as I said its usage recommends to use --dir so it should be like
desktop-file-install \
     --dir=%{buildroot}%{_datadir}/applications \

3) debuginfo is not generating properly. See
$ rpmlint conky-manager-debuginfo-2.2-2.fc21.x86_64.rpm
conky-manager-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
Comment 15 Mosaab Alzoubi 2014-10-24 07:31:52 EDT
+ desktop-file-install --dir=/home/moceap/rpmbuild/BUILDROOT/conky-manager-2.2-3.oj35.i386/usr/share/applications/ conky-manager.desktop
Error on file "conky-manager.desktop": No such file or directory
Comment 16 Mosaab Alzoubi 2014-10-24 07:34:06 EDT
- Fix typo in %%install.
- Enable debugging.

Spec: http://ojuba.org/test/conky-manager.spec
Srpm: http://ojuba.org/test/conky-manager-2.2-3.oj35.src.rpm
Comment 17 Parag AN(पराग) 2014-10-24 10:10:29 EDT
1) Note I have never seen such desktop-file-install usage and as per guidelines you need to use --dir option. About the above error, I missed to type "src/" so it should be actually

desktop-file-install \
     --dir=%{buildroot}%{_datadir}/applications \

otherwise looks good. Make sure you fix above before importing this package in dist-git

Comment 18 Mosaab Alzoubi 2014-10-24 10:20:24 EDT
Don't worry!
Thank you, And I updated spec to (3 words summary ^_")

New Package SCM Request
Package Name: conky-manager
Short Description: Conky scripts manager
Owners: moceap
Branches: f19 f20 f21 epel7
Comment 19 Jon Ciesla 2014-10-24 10:55:55 EDT
Git done (by process-git-requests).
Comment 20 Fedora Update System 2014-10-24 17:56:52 EDT
conky-manager-2.2-3.el7 has been submitted as an update for Fedora EPEL 7.
Comment 21 Fedora Update System 2014-10-24 17:57:18 EDT
conky-manager-2.2-3.fc21 has been submitted as an update for Fedora 21.
Comment 22 Fedora Update System 2014-10-24 17:57:31 EDT
conky-manager-2.2-3.fc20 has been submitted as an update for Fedora 20.
Comment 23 Fedora Update System 2014-10-24 17:57:42 EDT
conky-manager-2.2-3.fc19 has been submitted as an update for Fedora 19.
Comment 24 Fedora Update System 2014-10-28 06:56:59 EDT
conky-manager-2.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository.
Comment 25 Fedora Update System 2014-10-28 09:21:49 EDT
conky-manager-2.3.1-1.fc21 has been submitted as an update for Fedora 21.
Comment 26 Fedora Update System 2014-10-28 09:22:28 EDT
conky-manager-2.3.1-1.fc20 has been submitted as an update for Fedora 20.
Comment 27 Fedora Update System 2014-10-28 09:22:41 EDT
conky-manager-2.3.1-1.fc19 has been submitted as an update for Fedora 19.
Comment 28 Fedora Update System 2014-10-28 09:22:44 EDT
conky-manager-2.3.1-1.el7 has been submitted as an update for Fedora EPEL 7.
Comment 29 Fedora Update System 2014-10-31 21:31:54 EDT
conky-manager-2.3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 30 Fedora Update System 2014-11-10 00:58:56 EST
conky-manager-2.3.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 31 Fedora Update System 2014-11-10 00:59:45 EST
conky-manager-2.3.1-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 32 Fedora Update System 2014-11-14 15:23:57 EST
conky-manager-2.3.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.